Bug 164773 - Postfix package build fails when sasl is disabled
Summary: Postfix package build fails when sasl is disabled
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-01 09:05 UTC by martin.pala
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 14:23:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description martin.pala 2005-08-01 09:05:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Postfix package build fails when sasl is disabled

Version-Release number of selected component (if applicable):
postfix-2.2.3-1.src

How reproducible:
Always

Steps to Reproduce:
1. modify postfix spec and set SASL to 0
2. try to build the package using rpmbuild -bb postfix.spec

  

Additional info:

Comment 1 martin.pala 2005-08-01 09:09:01 UTC
Patch for postfix.spec:

--8<--
178d177
< %if %{SASL}
190d188
< %endif
269a268
> %if %{SASL}
281a281
> %endif
376a377
> %if %{SASL}
379a381,382
> %endif
>
460,461d462
< %endif
<
--8<--

Comment 2 Thomas Woerner 2005-11-11 14:23:10 UTC
Fixed in rawhide in package postfix-2.2.5-2.1 or newer.


Note You need to log in before you can comment on or make changes to this bug.